Bug 1126713 - rsync: checksum collisions leading to a denial of service [fedora-all]
Summary: rsync: checksum collisions leading to a denial of service [fedora-all]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 20
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=bvincent
: 483056 (view as bug list)
Depends On:
Blocks: fedora-sha2
TreeView+ depends on / blocked
 
Reported: 2014-08-05 06:28 UTC by Murray McAllister
Modified: 2015-06-29 21:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:56:37 UTC


Attachments (Terms of Use)
Very rough patch (126.25 KB, patch)
2015-04-16 05:38 UTC, Michael Samuel
mik: review-
Details | Diff

Description Murray McAllister 2014-08-05 06:28:18 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-08-05 06:28:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1126712,1126713

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1126712,1126713

Comment 2 Michal Luscon 2014-08-22 11:39:36 UTC
*** Bug 483056 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Admin XMLRPC Client 2014-09-30 12:14:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2015-04-09 10:22:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Michael Samuel 2015-04-16 05:38:57 UTC
Created attachment 1015031 [details]
Very rough patch

This is a patch I sent to Wayne Davison on 22nd July 2014.  It is not "production ready" - just a starting point to see how things fit.

It adds in libdetectcoll from Marc Stevens - it's compatible with the normal MD5_Update() interface, but adds a return value to tell when a collision attempt is detected.  In these cases a full transfer should be done rather than partial.

It also pulls in blake2b as a hash function with a new protocol number (old clients will still used md5 or md4, depending on how old).

I don't even know if this works, it was really just a (failed) way to start a discussion.  Hopefully somebody can pick this up and beat it into shape.  Cleaning up libdetectcoll itself to use rsync's print functions etc would be a minimum requirement, I'd guess.

Comment 7 Fedora End Of Life 2015-05-29 12:33:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 21:56:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.